include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_SOURCE_DIR}/src/electronics
  ${CMAKE_SOURCE_DIR}/src/electronics/components
  ${CMAKE_SOURCE_DIR}/src/electronics/simulation
  ${CMAKE_SOURCE_DIR}/src/flowparts
  ${CMAKE_SOURCE_DIR}/src/languages
  ${CMAKE_SOURCE_DIR}/src/mechanics
  ${CMAKE_SOURCE_DIR}/src/micro
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### gui (static)

tde_add_library( gui STATIC_PIC AUTOMOC

  SOURCES
        asmformattingwidget.ui gpasmsettingswidget.ui
        logicwidget.ui newfilewidget.ui newprojectwidget.ui
        outputmethodwidget.ui microsettingswidget.ui
        oscilloscopewidget.ui generaloptionswidget.ui
        createsubprojectwidget.ui processingoptionswidget.ui
        sdccoptionswidget.ui linkeroptionswidget.ui
        picprogrammerconfigwidget.ui newpinmappingwidget.ui
        programmerwidget.ui
        contexthelp.cpp doublespinbox.cpp itemeditor.cpp
        itemselector.cpp microsettingsdlg.cpp
        newfiledlg.cpp orientationwidget.cpp
        outputmethoddlg.cpp pieditor.cpp plvitem.cpp
        propertieslistview.cpp settingsdlg.cpp oscilloscope.cpp
        oscilloscopeview.cpp probepositioner.cpp logview.cpp
        projectdlgs.cpp microselectwidget.cpp
        symbolviewer.cpp programmerdlg.cpp colorcombo.cpp
)
